*{
    padding: 0;
    margin: 0;
}

#languageImage{
    display: none;
}

.navbarMain{
    width: 100%;
    background-color: rgb(252, 250, 245);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 20px 20px;
}

header img{
    width: 30px;
}

#logo{
    font-size: 20px;
    font-weight: 700;
}

.topBanner{
    text-align: center;
    background-color: aliceblue;
    font-size: 14px;
    font-weight: 500;
    color: rgb(129, 129, 129);

}

#languageText{
    display: none;
}

.navBar a{
    text-decoration: none;
    color: rgb(129, 129, 129);
    margin-left: 20px;
}

.searchBox, .locationBox{
    display: none;
}

.navbarIcons{
    display: flex;
    flex-direction: row;
    position: relative;
}

.navbarIcons #badge1{
    position: absolute;
    top: -7px;
    right: 32px;
    border-radius: 50%;
    background: rgb(67, 169, 187);
}

.navbarIcons #badge2{
    position: absolute;
    top: -7px;
    right: 120px;
    border-radius: 50%;
    background: rgb(67, 169, 187);
}

@media only screen and (max-width: 1024px) and (min-width: 431px){
    .topBanner{
        height: 30px;
        font-size: 14px;
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 0 3rem;
    }

    #languageText{
        display: inline;
    }

    #languageImage{
        width: 18px;
        display: inline;
    }

    .navbarMain{
        padding: 1.3rem 3rem;
    }

    .navbarIcons #menu{
        display: none;
    }

    .navbarIcons #badge1{
        position: absolute;
        top: -7px;
        right: 8px;
        border-radius: 50%;
        background: rgb(67, 169, 187);
    }

    .navbarIcons #badge2{
        position: absolute;
        top: -7px;
        right: 95px;
        border-radius: 50%;
        background: rgb(67, 169, 187);
    }

    .searchBox{
        font-size: 13px;
        font-weight: 500;
        border: 1px solid;
        border-radius: 7px;
        border-color: rgb(194, 194, 194);
        width: 18rem;
        height: 2.2rem;
        display: flex;
        margin-right: -80px;
        justify-content: space-between;
        padding: 0 10px;
        align-items: center;
        color: rgb(148, 148, 148);
    }

    .locationBox{
        font-size: 13px;
        font-weight: 500;
        border: 1px solid;
        border-radius: 7px;
        border-color: rgb(194, 194, 194);
        width: 6rem;
        height: 2.2rem;
        display: flex;
        justify-content: space-between;
        padding: 0 12px;
        margin-right: -2rem;
        align-items: center;
        color: rgb(148, 148, 148);
    }
}

@media only screen and (max-width: 1960px) and (min-width: 1025px){
    .topBanner{
        height: 30px;
        font-size: 14px;
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 0 20rem;
    }

    #languageText{
        display: inline;
    }

    #languageImage{
        width: 18px;
        display: inline;
    }

    .navbarMain{
        padding: 1.3rem 20rem;
    }

    .navbarMain #logo{
        display: flex;
        justify-content: space-between;
        gap: 10px;
    }

    .navbarIcons #menu{
        display: none;
    }

    .navbarIcons #badge1{
        position: absolute;
        top: -7px;
        right: 8px;
        border-radius: 50%;
        background: rgb(67, 169, 187);
    }

    .navbarIcons #badge2{
        position: absolute;
        top: -7px;
        right: 95px;
        border-radius: 50%;
        background: rgb(67, 169, 187);
    }

    .searchBox{
        font-size: 13px;
        font-weight: 500;
        border: 1px solid;
        border-radius: 7px;
        border-color: rgb(194, 194, 194);
        width: 25rem;
        height: 2.2rem;
        display: flex;
        margin-left: 120px;
        justify-content: space-between;
        padding: 0 10px;
        align-items: center;
        color: rgb(148, 148, 148);
    }

    .locationBox{
        font-size: 13px;
        font-weight: 500;
        border: 1px solid;
        border-radius: 7px;
        border-color: rgb(194, 194, 194);
        width: 6rem;
        height: 2.2rem;
        display: flex;
        justify-content: space-between;
        padding: 0 12px;
        margin-right: 10rem;
        align-items: center;
        color: rgb(148, 148, 148);
    }

    
}